import request from '@/utils/request'

// 获取消息列表
export function getNoticeList(params) {
  return request({
    url: '/notice/list',
    method: 'get',
    params
  })
}

// 更改全部消息状态
export function changeAllReadFlag(params) {
  return request({
    url: '/notice/mark/read/all',
    method: 'post',
    params
  })
}

// 更改消息状态
export function changeReadFlag(params) {
  return request({
    url: '/notice/mark/read',
    method: 'post',
    data: params
  })
}

// 获取消息列表
export function getNoticeListCount(params) {
  return request({
    url: '/notice/list/count',
    method: 'get',
    params
  })
}
